Subject: bug#42059: 26.3; OpenBSD now has posix_openpt(3)

From: YASUOKA Masahiko <[email-masked]>
Date: Tue, 30 Jun 2020 22:49:29 +0900 (JST)

On Tue, 30 Jun 2020 13:52:21 +0200
Mattias Engdegård <[email-masked]> wrote:
> Thanks for the patch! I'd be happy to apply it, but first: can you
> confirm that older OpenBSD versions are still able to build Emacs with
> that patch applied, or argue that this is a lesser problem?

Although old versions might become not able to build Emacs with the
patch, I suggest Emacs should have the patch.

Firstly the versions are too old.  posix_openpt(3) had been introduced
to OpenBSD at OpenBSD 5.3, it was 7 years ago and 14 versions before
the latest.  It was 6 years ago when the last version which doesn't
have posix_openpt(3) became out of support.

Secondly the old way the old versions is using has another problem. It
caused an error when emacs opens some ptys.  To solve this problem, in
any case, people need to use newer OpenBSD and newer Emacs.

Thanks,